package cn.iocoder.yudao.module.order.convert.orderObjective;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderObjective.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderObjective.OrderObjectiveDO;

/**
 * 订单目的仓库 Convert
 * @author 系统管理员
 */
@Mapper
public interface OrderObjectiveConvert {
    /*****转换MapStruct*****/
    OrderObjectiveConvert INSTANCE = Mappers.getMapper(OrderObjectiveConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderObjectiveDO convert(OrderObjectiveCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderObjectiveDO convert(OrderObjectiveUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderObjectiveBackVO convert(OrderObjectiveDO bean);

    /***
     * 返回VO转实体
     * @param bean
     * @return
     */
    OrderObjectiveDO convert(OrderObjectiveBackVO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderObjectiveBackVO> convertList(List<OrderObjectiveDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderObjectiveBackVO> convertPage(PageResult<OrderObjectiveDO> page);
}
